Loading...
Searching...
No Matches
Ogre::ProfileFrame Struct Reference
Core » General

Represents the total timing information of a profile since profiles can be called more than once each frame. More...

`#include <OgreProfiler.h>`

## Public Attributes

uint | calls
| The number of times this profile was called this frame.
ulong | frameTime
| The total time this profile has taken this frame.
uint | hierarchicalLvl
| The hierarchical level of this profile, 0 being the main loop.

## Detailed Description

Represents the total timing information of a profile since profiles can be called more than once each frame.

## Member Data Documentation

## frameTime

ulong Ogre::ProfileFrame::frameTime

The total time this profile has taken this frame.

## calls

uint Ogre::ProfileFrame::calls

The number of times this profile was called this frame.

## hierarchicalLvl

uint Ogre::ProfileFrame::hierarchicalLvl

The hierarchical level of this profile, 0 being the main loop.

The documentation for this struct was generated from the following file:

- OgreProfiler.h